:host {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: .5em;
}
:host([severity="ERROR"]) {
  background: var(--log-entry--error-background);
  iron-icon {
    color: var(--log-entry--error-icon);
  }
}
:host([severity="WARNING"]) {
  background: var(--log-entry--warning-background);
  iron-icon {
    color: var(--log-entry--warning-icon);
  }
}
:host([severity="INFO"]) {
  background: var(--log-entry--info-background);
  iron-icon {
    color: var(--log-entry--info-icon);
  }
}

iron-icon {
  min-width: 48px;
  min-height: 48px;
  margin-right: .5em;
}

div {
  display: flex;
  flex-direction: column;
  flex: 1;

  p {
    margin: 0;
    &[title] {
      display: flex;
      flex-direction: row;
      align-items: center;
      [subsystem] {
        margin-right: .5em;
        opacity: var(--secondary-text-opacity);
      }
      [app] {
        font-size: .8em;
        opacity: var(--secondary-text-opacity);
      }
    }
    &[message] {
      white-space: normal;
      opacity: var(--primary-text-opacity);
    }
  }
}
